.btn{
  font-weight: 700;
  box-shadow: none;
  border-radius: 30px;
  border-width: 2px;
  padding: 9px 15px 10px;
}

.btn-primary{
  background-color: $green-main;
  border-color: $green-main;
  box-shadow: none;
  color: white;

   &:hover{
     color: white;
     background-color: $green-main-dark;
     border-color: $green-main-dark;
   }

   &:focus, &:active, &:active:focus{
     box-shadow: none;
     color: white;
     background-color: $green-dark-bg;
     border-color: $green-dark-bg;
   }

   &:disabled{
     color: white;
     background-color: $green-light; 
     border-color: $green-light;
   }
}

.btn-white{
  background-color: transparent;
  border-color: white;
  box-shadow: none;
  color: white;

  &:hover{
    background-color: rgba(255,255,255, .1);
    border-color: $green-light-2;
    color: white;
  }

  &:focus, &:active, &:active:focus{
    background-color: rgba(255,255,255, .2);
    border-color: $green;
    color: white;
    box-shadow: none;
  }

  &:disabled{
    border-color: $green-dark-bg;
    color: $green-dark-bg;
    background-color: transparent;
  }
}

.btn-white-full{
  background-color: white;
  border-color: white;
  box-shadow: none;
  color: $green-main;

  &:hover{
    background-color: white;
    border-color: $green-main-dark;
    color: $green-main-dark;
  }

  &:focus, &:active, &:active:focus{
    background-color: white;
    box-shadow: none;
    border-color: $green-dark-bg;
    color: $green-dark-bg;
  }

  &:disabled{
    color: $green-dark-bg;
    background-color: $green-dark;
    border-color: $green-dark;
  }
}

.btn-secondary{
  background-color: white;
  border-color: $text-black;
  box-shadow: none;
  color: $text-black;

  &:hover{
    border-color: $green-main-dark;
    color: $green-main-dark;
    background-color: white;
  }

  &:focus, &:active, &:active:focus{
    box-shadow: none;
    border-color: $green-main;
    color: $green-main;
    background-color: white;
  }

  &:disabled{
    color: $green-light;
    border-color: $green-light;
    background-color: white;
  }
}